#include "../cgame/cg_local.h"

// just to get ui to compile
// cause ui uses game/bg_misc

qboolean hasEnoughAmmo(const entityState_t *ent, const playerState_t *ps) {
    // since we don't know the counts for this weap, if weapons stay is
    // on and the player has ANY ammo for this weap then return true
    // (it's not like the player will run out of ammo before the server
    // gives the player more)
    if (ps->ammo[bg_itemlist[ent->modelindex].giTag] > 0)
        return qtrue;
    return qfalse;
}

qboolean BG_weaponsStayEnabled(void) {
    //	return cg_serverConfig.weaponsStay;
    Com_Printf("bogus BG_weaponsStayEnabled() called.\n");
    return qfalse;
}

/*
qboolean BG_battleWeaponsEnabled(void) {
    return qfalse;//cg_serverConfig.battleWeapons;
}
*/